import pytest
import logging

from multipipsa.multipipsa import PipsaRun
from multipipsa.multipipsa import ApbsRun
# from multipipsa import ResultProcessor #Optional
from multipipsa.clusterpipsa import ClusterPipsa
from multipipsa.pipsatypes import *
import numpy as np
import os
import sys
import inspect
from pathlib import Path
from multipipsa.testsetup.pipsafixtures import *
import warnings
warnings.filterwarnings("ignore")






class TestMultipipsa:
    @pytest.mark.dependency()
    def test_apbs(self,setupDir,apbs):
        if setupDir==True:
            apbs.runPdb2Pqr()
            apbs.runApbs()
            assert 1==1
    
    @pytest.mark.dependency(depends=["test_apbs"])
    def test_multipipsa(self,pr,apbs,ingrp,outgrp):
        pr.runBindingScorePipsa(ingrp, outgrp)
        assert 1==1
